Package org.gradle.api.tasks.testing

# Interface TestMetadataEvent

@Incubating public interface TestMetadataEvent
Metadata captured during the execution of a test.

Since:
  8.13

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getLogTime()`
  The time the message was logged.
  `Map<String,Object>`
  `getValues()`
  Retrieves the recorded metadata values for this event.

- ## Method Details

  - ### getLogTime

    long getLogTime()
    The time the message was logged.

    Producers can supply the same value as the test start time to indicate that the metadata is "timeless", such as environment information that isn't tied to a specific point during test execution.

    Returns:
      log time, in milliseconds since UNIX epoch
    Since:
      8.13

  - ### getValues

    Map<String,Object> getValues()
    Retrieves the recorded metadata values for this event.
    Returns:
      the event metadata values
    Since:
      8.13